| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::integration_app Struct Reference

An application that has been integrated. More...

`#include <integration.h>`

Collaboration diagram for dpp::integration_app:
[legend]

## Public Attributes

class user * | bot
| The bot associated with this application.
std::string | description
| The description of the app.
utility::iconhash | icon
| The icon hash of the app.
snowflake | id
| The id of the app.
std::string | name
| The name of the app.

## Detailed Description

An application that has been integrated.

## Member Data Documentation

## ◆ bot

class user* dpp::integration_app::bot

The bot associated with this application.

## ◆ description

std::string dpp::integration_app::description

The description of the app.

## ◆ icon

utility::iconhash dpp::integration_app::icon

The icon hash of the app.

## ◆ id

snowflake dpp::integration_app::id

The id of the app.

## ◆ name

std::string dpp::integration_app::name

The name of the app.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0